# Indexify

![Tests](https://github.com/diptanu/indexify/actions/workflows/test.yaml/badge.svg?branch=main)

Indexify is a reactive structured extraction engine for un-structured data.

Applications leveraging LLMs for autonomous planning or queries necessitate timely index updates aligned with data changes or new extraction methods. Indexify enables both, by applying feature extractors on data in real-time and updating one or many indexes.

## Why use Indexify

* **Knowledge Base for LLMs:** Real-time structured extraction and embedding generation from any un-structured data to feed relevant context to AI Applications.
* **Distributed Extraction Engine For Scale:** Distributed extraction to scale indexing large amounts of data without sacrificing retrieval performance.
* **Custom Extractors:** You can extend Indexify by writing a custom extractor for your use cases to extract specific information from data.
* **Pluggable Storage:** Use one of the many storage backends to persist indexes.

## Getting Started

To get started follow our [documentation](https://getindexify.ai/getting_started/).

## Documentation

Our comprehensive documentation is available - https://getindexify.ai

## Contributions
Please open an issue to discuss new features, or join our Discord group. Contributions are welcome, there are a bunch of open tasks we could use help with! 

If you want to contribute on the Rust codebase, please read the [developer readme](docs/docs/develop.md).

## Contact 
Join the Discord Server - https://discord.gg/mrXrq3DmV8 <br />
